<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Content Model Handling in WST (and Vex)</title>
</head>
<body>

<pre>

			/* if (node.getNodeType() == Node.ELEMENT_NODE) */{
				ModelQuery modelQuery = ModelQueryUtil.getModelQuery(node
						.getOwnerDocument());
				if (modelQuery != null) {
					CMElementDeclaration declaration = modelQuery
							.getCMElementDeclaration((Element) node);
					String info = infoProvider.getInfo(declaration);
					setInfoText(info);
					
					List<?> availableContent = modelQuery
							.getAvailableContent((Element) node,
									declaration,
									ModelQuery.INCLUDE_CHILD_NODES);
					elementTable.setInput(availableContent);
 
</body>
</html>